org.apache.lucene.index

## Interface IndexSorter.ComparableProvider

Enclosing interface:
  IndexSorter

    public static interface IndexSorter.ComparableProvider

Used for sorting documents across segments

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getAsComparableLong(int docID)` Returns a long so that the natural ordering of long values matches the ordering of doc IDs for the given comparator

### Method Detail

#### getAsComparableLong

    long getAsComparableLong(int docID)
                      throws IOException

Returns a long so that the natural ordering of long values matches the ordering of doc IDs for the given comparator

Throws:
  `IOException`